FAQ

Page Discussion History

Difference between revisions of "Talk:Install"

m (Debian 7)
 
(3 intermediate revisions by 3 users not shown)
Line 5: Line 5:
 
*It seemed like a bad idea to allow the download links to be publicly editable.  - Cliff
 
*It seemed like a bad idea to allow the download links to be publicly editable.  - Cliff
 
*However, the Windows binary link is now several releases behind. Do we want to do something about this? Maybe link to the download page instead? - firai
 
*However, the Windows binary link is now several releases behind. Do we want to do something about this? Maybe link to the download page instead? - firai
 +
 +
== Debian 7 Link ==
 +
 +
Add a link for Debian 7 repo
 +
 +
Debian 7:
 +
<pre>
 +
deb http://nginx.org/packages/debian/ wheezy nginx
 +
deb-src http://nginx.org/packages/debian/ wheezy nginx
 +
</pre>
  
 
=== French translation ===
 
=== French translation ===
Line 54: Line 64:
 
Would we get [[Installing_on_Solaris_11]] added under "Other systems" ?
 
Would we get [[Installing_on_Solaris_11]] added under "Other systems" ?
 
:::: Done.  cliff
 
:::: Done.  cliff
 +
 +
== Fix Ubuntu PPA install section for Ubuntu >= 12.10 ==
 +
 +
Could someone please edit the Ubuntu PPA install section?
 +
 +
Ubuntu 12.10 doesn't have `python-software-properties` module; instead you need to install `software-properties-common`.
 +
 +
== Out-of-date version mentions ==
 +
 +
“There are currently two versions of Nginx available: stable (1.2.x), development (1.3.x).” — should be 1.4.x and 1.5.x, respectively.
 +
[[User:Gthb|Gthb]] ([[User talk:Gthb|talk]]) 16:19, 4 July 2013 (UTC)
 +
 +
Still an issue. - [[User:Apeschel|Apeschel]] 25 October 2013

Latest revision as of 20:44, 16 December 2013

Contents

How do I edit this page?

The Install page cannot be edited - probably as a spam protection measure. Add your change suggestions to the Talk page, hopefully someone will notice.

  • It seemed like a bad idea to allow the download links to be publicly editable. - Cliff
  • However, the Windows binary link is now several releases behind. Do we want to do something about this? Maybe link to the download page instead? - firai

Debian 7 Link

Add a link for Debian 7 repo

Debian 7:

deb http://nginx.org/packages/debian/ wheezy nginx
deb-src http://nginx.org/packages/debian/ wheezy nginx

French translation

  • Is it possible to add a link to the french translation ? -Arhuman

"

There are several translations of the information on this wiki. If you can help translate into your native language, please feel free to contribute.

"


I'm not clear on where this would go: there's already a link to NginxFr on the main page, where all the other translations are listed. NginxFr should be linking to InstallFr.

- Cliff

@cliff Sadly, on NginxFr I can't modify the link on the top icon (which is the natural/obvious way to reach the InstallFr page)

I'll add the link on NginxFr content (even if it'll seem awkward, imnsho)

Agreed, this is not ideal. However, MediaWiki does a poor job with multi-lingual support. We've been looking into ways to address this but currently there are none that are in any way appealing. -MTeck

Dependencies

For the compiling from source section, there should be a mention of prerequisite libraries. On Ubuntu Natty, when I ran ./configure, the PCRE library was missing. It's not obvious which aptitude package to install, so I think it would be useful to note the correct library (libpcre++-dev). UPDATE: NginxPlatformUbuntu mentions a different library. GettingStarted has a section on installation as well. -- Dandv 19:24, 7 June 2011 (MSD)

Just FYI, the required package on Debian/Ubuntu is libpcre3-dev, not libpcre++-dev (Nginx is written in C, not C++). libpcre++-dev itself pulls in libpcre3-dev as a dependency, which in turn, satisfies the Nginx dependency.

libpcre3-dev is not the correct package for all platforms (only Debian-derived ones). On Red Hat-derived distros it's pcre-devel. On BSD it will be something else entirely. We cannot cover the exact packages names for every platform in a single section (although you are welcome to add such information to the distribution-specific page (NginxPlatformUbuntu).

Secondly, the requirements vary depending upon which compile-time options are selected.

In any case, if you are building from source, you are expected to peruse the README and INSTALL files included with the tarball. These describe the general requirements for building with the various options and are the canonical source for such information (which may change between releases).

For people unfamiliar with how to discover this information, well, that's why there are binary packages.

-- Cliff

I see. Would it be a good idea then to not repeat the "compile from source" steps in a bunch of places, but rather link to one page (GettingStarted perhaps) that comprehensively deals with the issue? -- Dandv(talk|contribs) 21:51, 7 June 2011 (MSD)
Yes, that would be best. The wiki is known to have lots of historical cruft that it would be better off without. For the building from source, a separate page might be appropriate, where various issues could also be addressed.


Solaris 11

Would we get Installing_on_Solaris_11 added under "Other systems" ?

Done. cliff

Fix Ubuntu PPA install section for Ubuntu >= 12.10

Could someone please edit the Ubuntu PPA install section?

Ubuntu 12.10 doesn't have `python-software-properties` module; instead you need to install `software-properties-common`.

Out-of-date version mentions

“There are currently two versions of Nginx available: stable (1.2.x), development (1.3.x).” — should be 1.4.x and 1.5.x, respectively. Gthb (talk) 16:19, 4 July 2013 (UTC)

Still an issue. - Apeschel 25 October 2013